Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
emerge wants to downgrade dev-perl/Class-MethodMaker?
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Duplicate Threads
View previous topic :: View next topic  
Author Message
andrewwalker27
l33t
l33t


Joined: 27 Jun 2005
Posts: 650

PostPosted: Mon Jul 25, 2005 10:00 am    Post subject: emerge wants to downgrade dev-perl/Class-MethodMaker? Reply with quote

Every time I upgrade my system with emerge I get a problem with the package dev-perl/Class-MethodMaker
It can´t seem to make up it´s mind which version of this package it wants, here´s the output:
[ebuild U ] dev-perl/Class-MethodMaker-2.07-r2 [2.07]
[ebuild UD]dev-perl/Class-MethodMaker-1.11 [2.07]
Why would emerge want to revert to the old version and, if it is not necessary, how do I get it to ignore the old package?
Back to top
View user's profile Send private message
lnxz
Guru
Guru


Joined: 03 Jul 2005
Posts: 472
Location: Earth

PostPosted: Wed Jul 27, 2005 11:35 pm    Post subject: Reply with quote

Try adding the version it wants to downgrade from to package.unmask, but there are usually a good cause for downgrading. Probably the package was marked stable too early and now unknown problems have been discovered.
Back to top
View user's profile Send private message
kallamej
Administrator
Administrator


Joined: 27 Jun 2003
Posts: 4920
Location: Gothenburg, Sweden

PostPosted: Mon Mar 27, 2006 10:38 am    Post subject: Reply with quote

Please see the FAQ GF22: Circular upgrades and downgrades of a package

Follow ups to topic 415944.

Moved from Portage & Programming to Duplicate Threads.
_________________
Please read our FAQ Forum, it answers many of your questions.
irc: #gentoo-forums on irc.freenode.net
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Duplicate Threads All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum